Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.xslf.extractor
Class XSLFPowerPointExtractor

    java.lang.Object
      org.apache.poi.POITextExtractor
          org.apache.poi.POIXMLTextExtractor
              org.apache.poi.xslf.extractor.XSLFPowerPointExtractor

    public class XSLFPowerPointExtractor

extends POIXMLTextExtractor

Field Summary
`static XSLFRelation[]` | `SUPPORTED_TYPES`

Fields inherited from class org.apache.poi.POITextExtractor
`document`

Constructor Summary
`XSLFPowerPointExtractor(OPCPackage container)`
`XSLFPowerPointExtractor(XMLSlideShow slideshow)`
`XSLFPowerPointExtractor(XSLFSlideShow slideshow)`

Method Summary
`java.lang.String` | `getText()` Gets the slide text, but not the notes text
`java.lang.String` | `getText(boolean slideText, boolean notesText)` Gets the requested text from the file
`static void` | `main(java.lang.String[] args)`
`void` | `setNotesByDefault(boolean notesByDefault)` Should a call to getText() return notes text? Default is no
`void` | `setSlidesByDefault(boolean slidesByDefault)` Should a call to getText() return slide text? Default is yes

Methods inherited from class org.apache.poi.POIXMLTextExtractor
`getCoreProperties, getCustomProperties, getDocument, getExtendedProperties, getMetadataTextExtractor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SUPPORTED_TYPES

    public static final XSLFRelation[] SUPPORTED_TYPES

Constructor Detail

### XSLFPowerPointExtractor

    public XSLFPowerPointExtractor(XMLSlideShow slideshow)

### XSLFPowerPointExtractor

    public XSLFPowerPointExtractor(XSLFSlideShow slideshow)
                            throws org.apache.xmlbeans.XmlException,
                                   java.io.IOException

Throws:
  `org.apache.xmlbeans.XmlException`
  `java.io.IOException`

### XSLFPowerPointExtractor

    public XSLFPowerPointExtractor(OPCPackage container)
                            throws org.apache.xmlbeans.XmlException,
                                   OpenXML4JException,
                                   java.io.IOException

Throws:
  `org.apache.xmlbeans.XmlException`
  `OpenXML4JException`
  `java.io.IOException`

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### setSlidesByDefault

    public void setSlidesByDefault(boolean slidesByDefault)

  Should a call to getText() return slide text? Default is yes

### setNotesByDefault

    public void setNotesByDefault(boolean notesByDefault)

  Should a call to getText() return notes text? Default is no

### getText

    public java.lang.String getText()

  Gets the slide text, but not the notes text

  Specified by:
    `getText` in class `POITextExtractor`
  Returns:
    All the text from the document

### getText

    public java.lang.String getText(boolean slideText,
                                    boolean notesText)

  Gets the requested text from the file

  Parameters:
    `slideText` - Should we retrieve text from slides?
    `notesText` - Should we retrieve text from notes?

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.